var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
export class TokenHandler {
    constructor(jumbo, username, password) {
        this.jumbo = jumbo;
        this.username = username;
        this.password = password;
        this.Ready = new Promise((resolve, reject) => {
            this.generateToken()
                .then(() => {
                resolve(undefined);
            })
                .catch(reject);
        });
    }
    /**
     * Function that can be called to generate token (if there is no token yet)
     */
    generateToken() {
        return __awaiter(this, void 0, void 0, function* () {
            if (!this.jumboToken) {
                this.jumboToken = yield this.login();
            }
        });
    }
    /**
     * Function that is used to login to Jumbo and get a token
     */
    login() {
        return __awaiter(this, void 0, void 0, function* () {
            // To get a token, we simply initialize a POST request to /users/login with the info
            let body = {
                password: this.password,
                username: this.username,
            };
            // Send POST request with info
            let response = yield this.jumbo.post(`users/login`, JSON.stringify(body), undefined, undefined, false, true);
            // Save token
            return yield response.headers['x-jumbo-token'];
        });
    }
    /**
     * Simple function that returns the token (assuming it exists)
     */
    getToken() {
        // TODO: refresh token if needed
        return this.jumboToken;
    }
}
